Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel.exps
Class Avg

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.exps.AbstractVal
          org.apache.openjpa.jdbc.kernel.exps.UnaryOp
              org.apache.openjpa.jdbc.kernel.exps.Avg

All Implemented Interfaces:
  Serializable, Val, Value

     class Avg

extends UnaryOp

Average.

Author:
  Abe White

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.kernel.exps.AbstractVal
`FALSE, TRUE`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.exps.Val
`ABS_VAL, ARGS_VAL, CMP_EQUAL, COALESCE_VAL, CONCAT_VAL, FORCE_OUTER, GENERALCASE_VAL, INDEXOF_VAL, JOIN_REL, LENGTH_VAL, LOCATE_VAL, LOWER_VAL, MATH_VAL, NULL_CMP, NULLIF_VAL, SIMPLECASE_VAL, SQRT_VAL, SUBSTRING_VAL, TRIM_VAL, UPPER_VAL, VAL, WHENCONDITION_VAL, WHENSCALAR_VAL`

Constructor Summary
`Avg(Val val)` Constructor.

Method Summary
`protected String` | `getOperator()` Return the name of this operator.
`boolean` | `isAggregate()` Return true if this value is an aggregate.

Methods inherited from class org.apache.openjpa.jdbc.kernel.exps.UnaryOp
`acceptVisit, appendTo, calculateValue, getMetaData, getNoParen, getType, getType, getValue, groupBy, initialize, initializeValue, length, load, orderBy, select, selectColumns, setImplicitType, setMetaData`

Methods inherited from class org.apache.openjpa.jdbc.kernel.exps.AbstractVal
`appendIndex, appendIsEmpty, appendIsNotEmpty, appendIsNotNull, appendIsNull, appendSize, appendType, getAlias, getId, getName, getPath, getSelectAs, isVariable, isXPath, setAlias, toDataStoreValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Avg

    public Avg(Val val)

  Constructor. Provide the value to operate on.

Method Detail

### getOperator

    protected String getOperator()

  Description copied from class: `UnaryOp`
  Return the name of this operator.

  Specified by:
    `getOperator` in class `UnaryOp`

### isAggregate

    public boolean isAggregate()

  Description copied from interface: `Value`
  Return true if this value is an aggregate.

  Specified by:
    `isAggregate` in interface `Value`
  Overrides:
    `isAggregate` in class `AbstractVal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.